rDWS Registry Endpoints
Base URL for these endpoints: https://ws.bsn.cloud/rest/v1/
_________________________________________________________________________
GET /registry/
Returns the player registry dump
Request Example
GET /rest/v1/registry/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonResponse Body
- success bool: If the operation is successful
- value object: The keys are the names of the registry sections. These are some examples:
- brightscript object: The BrightScript key-value pairs
- networking object: The networking key-value pairs
Response Example
{
"route": "/v1/registry",
"method": "GET",
"data": {
"result": {
"success": true,
"value": {
"autorun": {
"bootchecks": "",
"bootstrap": "",
"knowngood": "",
"lasttried": ""
},
"brightscript": {
"createdby": "Supervisor 2.1.10"
},
"networking": {
"a": "JaneDoeTesting",
"access_token": "JcqVLXY3Ttpgpc5IiWL7wMHibKKcLDJkuRaLgWBQyvcjdI2JYRjHDdjaHQrnGkm9b9wAbdb2kTqqCC02oKjA7EJZMfP1jyllrbdFrscXbXePr4WtV3TRYoiWtv8tRGVB",
"access_token_expiration": "86400",
"access_token_expires_at": "Thu Feb 08 2024 07:47:26 GMT-0800 (Pacific Standard Time)",
"bbhf": "true",
"bph": "[]",
"brightwallname": "",
"brightwallscreennumber": "",
"bs": "/bs/batteryCharger.ashx",
"bsn_settings_last_modified": "Tue, 30 Jan 2024 22:01:45 GMT",
"bsnapiversion": "2022/06",
"cdr": "no",
"createdby": "Supervisor 2.1.10",
"cwr": "True",
"dd": "/bs/devicedownload.ashx",
"de": "/bs/deviceerror.ashx",
"dhcp": "yes",
"dle": "no",
"dp": "/bs/devicedownloadprogress.ashx",
"dwse": "true",
"dwsp": "",
"ele": "no",
"enableremotesnapshot": "no",
"enablewpaenterpriseauthentication": "False",
"endpoints_blessings_installer_url": "https://certs.bsn.cloud/install-blessing/v1/",
"endpoints_blessings_server_bp3": "https://certs.bsn.cloud/blessings/",
"endpoints_bsn_classic_api_server": "http://api.brightsignnetwork.com",
"endpoints_bsn_classic_server": "https://services.brightsignnetwork.com",
"endpoints_bsnapiserver": "https://api.bsn.cloud",
"endpoints_bsnserver": "https://handlers.bsn.cloud",
"endpoints_certsserver": "https://certs.bsn.cloud",
"endpoints_echotest": "https://certs.bsn.cloud/echo/ping",
"endpoints_failsafecheck": "https://certs.bsn.cloud/features/api/v1/failsafe",
"endpoints_featuresavailable": "https://certs.bsn.cloud/features/api/v1/features",
"endpoints_provisionserver": "provision.bsn.cloud",
"endpoints_remote_storage_notifications": "https://certs.bsn.cloud/files/api/v1/notify",
"endpoints_remote_storage_server": "https://certs.bsn.cloud/files/api/v1/verify",
"endpoints_s3_classic_url": "http://bsnm.s3.amazonaws.com/public/",
"endpoints_s3url": "https://bsncloud.s3.amazonaws.com/public/",
"endpoints_supervisorupgrade": "https://certs.bsn.cloud/features/api/v1/supervisors",
"endpoints_websocketsdws": "wss://ws.bsn.cloud/",
"eu": "/bs/error.ashx",
"g": "Default",
"hh": "/bs/heartbeat.ashx",
"hr": "no",
"hwr": "True",
"internalcapackages": "",
"isc": "FF702896",
"last_modified_autorun_settings_at": "2024-01-30T22:01:45.000Z",
"lastbsnconnectiontime": "2024/01/30 10:57:50.864",
"lwr": "True",
"mwr": "True",
"ncp": "0",
"networkjson": "{\"hostname\":\"BrightSign-RE433D006644\",\"proxyServer\":null,\"proxyBypass\":[],\"timeServers\":[\"http://time.brightsignnetwork.com\"],\"interfaces\":[{\"enabled\":true,\"proto\":\"DHCP\",\"ip\":null,\"gateway\":null,\"dns\":null,\"rateLimitDuringInitialDownloads\":0,\"rateLimitInsideContentDownloadWindow\":0,\"rateLimitOutsideContentDownloadWindow\":null,\"contentDownloadEnabled\":true,\"textFeedsDownloadEnabled\":true,\"mediaFeedsDownloadEnabled\":true,\"healthReportingEnabled\":true,\"logsUploadEnabled\":true,\"name\":\"eth0\",\"type\":\"Ethernet\",\"metric\":100}]}",
"nlws": "s",
"nlwseun": "yes",
"nlwsp": "",
"nlwsu": "",
"nu": "/bs/checkforcontent.ashx",
"p": "",
"ple": "no",
"rdwse": "yes",
"refresh_token": "LUi0ZRpbz1BWJ3JuBCwMPtRxEMQ9vMwyTRokUSENNCRckFOuVTUshtfb7Lk5H3Ji8kTyBsqVlwo9SZjzwkHv6V9XKKX4mtwbvGWWlYgUslOK7UbURW3zeMGKWhxbIghx",
"refresh_token_expires_at": "Fri Feb 06 2026 07:47:26 GMT-0800 (Pacific Standard Time)",
"registered_with_bsn": "yes",
"rlmid": "unlimited",
"rlmiw": "unlimited",
"rlmow": "default",
"rlrid": "0",
"rlriw": "0",
"rlrow": "0",
"rs": "/recovery/recovery_runsetup_ba.brs",
"ru": "/recovery/recovery.ashx",
"schedule_handler_duration": "21600",
"settings_handler_duration": "21600",
"sle": "no",
"status_handler_duration": "300",
"sut": "BSN",
"tbh": " 300",
"tbnc": " 21600",
"td": "/bs/trafficdownload.ashx",
"ts": "http://time.brightsignnetwork.com",
"twr": "True",
"tz": "PST",
"u": "",
"uab": "no",
"uat": "no",
"ub": "https://handlers.bsn.cloud/",
"ud": "Trying again",
"ul": "/bs/uploadlogs.ashx",
"un": "XD5",
"unm": "appendUnitIDToUnitName",
"up": "no",
"ut": " 0",
"v": "1",
"version": "3.0.0",
"vle": "no",
"vu": "/bs/events.ashx",
"wifi": "no"
},
"newsection": {
"newkey": "newvalue"
}
}
}
}
}GET /registry/:section/:key/
Returns a particular registry section or key value
Segment
- section string: The name of the registry section (for example, "html" or "networking")
- key string: The name of the registry key
Request Example
This example gets the telnet port number from the networking section:
GET /rest/v1/registry/networking/telnet?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}Response Example
{
"route": "/v1/registry/brightscript/g",
"method": "GET",
"data": {
"result": {
"success": true,
"section": "brightscript",
"key": "g",
"value": ""
}
}
}PUT /registry/:section/:key/
Sets a value in the specified section of the registry. Do a GET first to see which keys are available.
Applications rely on the values they have set in the registry. Please be mindful of what you type to avoid putting the player in an unstable state.
Segment
- section string: The name of the registry section (for example, "html" or "networking")
- key string: The name of the registry key
Request Example
This example sets the telnet port number in the networking section of registry:
PUT /rest/v1/registry/networking/telnet?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Content-Type: application/json
Content-Length: 47This is the example request body:
{
"data": {
"value": 23
}
}Response Example
{
"data": {
"result": {
"success": true,
"section": "networking",
"key": "telnet",
"value": "23"
}
},
"route": "/v1/registry/networking/telnet",
"method": "PUT"
}DELETE /registry/:section/:key/
Deletes a key-value pair from the specified registry section, or the whole section.
Applications rely on the values they have set in the registry. Please be mindful of what you type to avoid putting the player in an unstable state.
Segment
- section string: The name of the registry section (for example, "html" or "networking")
- key string: The name of the registry key
Request Example
This example deletes the telnet key from the networking section of registry:
DELETE /rest/v1/registry/networking/telnet?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}Response Example
{
"route": "/v1/registry/networking/telnet",
"method": "DELETE",
"data": {
"result": {
"success": true,
"section": "networking",
"key": "telnet"
}
}
}PUT /registry/flush/
Flush the registry immediately to disk. This is available as of BOS 9.0.110 and 8.5.47. If you are on an earlier OS, you can reboot the player to flush the registry.
Request Example
PUT /rest/v1/registry/flush?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}Response Example
{
"route": "/v1/registry/flush",
"method": "PUT",
"data": {
"result": {
"success": true
}
}
}GET /registry/recovery_url/
Retrieves the recovery URL stored in the player registry
Request Example
GET /rest/v1/registry/recovery_url/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+jsonResponse Body
- success bool: A flag indicating whether the request was successfully read
- value string: The recovery URL
Response Example
{
"route": "/v1/registry/recovery_url",
"method": "GET",
"data": {
"result": {
"success": true,
"value": "https://handlers.bsn.cloud//recovery/recovery.ashx"
}
}
}PUT /registry/recovery_url/
Writes a new recovery URL to the player registry
Request Body
- url string: The new recovery URL
Request Example
PUT /rest/v1/registry/recovery_url/?destinationType=player&destinationName={{deviceSerial}} HTTP/1.1
Host: ws.bsn.cloud
Authorization: Bearer {{UserAccessToken}}
Accept: application/json, application/vnd.bsn.error+json
Content-Type: application/json
Content-Length: 61This is the example request body:
{
"data": {
"url": "https://test.com"
}
}Response Body
- success bool: A flag indicating whether the write was successful
Response Example
{
"data": {
"result": {
"success": true
}
},
"route": "/v1/registry/recovery_url",
"method": "PUT"
}